/** 
* @defgroup				common		ú
* @defgroup				workflow	̺
* @defgroup				bmf			ҵչ
* @defgroup				service		
*/

/** 
* @addtogroup			common
* @{
*/

/**
* @file					
* @brief				ע
* @date					2014/4/21
* @author				mengyawei
*/

#pragma warning (disable: 4819) 

/**
* @headerfile			tcua ͷļ
*/
#include <tc/tc.h>
#include <tccore/custom.h>
#include <server_exits/user_server_exits.h>
#include "error_handling.h"
#include "epm_register_handler.h"
#include "epm_handler_common.h"


#ifdef __cplusplus
extern "C" {
#endif


	/**
	* @fn					extern "C" DLLAPI int liborigin_register_callbacks
	* @return				usually return ITK_ok
	* @brief				liborigin customization entry
	*/
	DLLAPI int libqtmc_register_callbacks()
	{
		int ifail = ITK_ok;

		CALL( ifail = CUSTOM_register_exit( 
			"libqtmc", 
			"USERSERVICE_register_methods", 
			(CUSTOM_EXIT_ftn_t)USERSERVICE_custom_register_methods) );
		fprintf( stdout, "\n libqtmc	registering USERSERVICE_register_methods completed!\n" );

		CALL( ifail = CUSTOM_register_exit( 
			"libqtmc", 
			"USER_gs_shell_init_module", 
			(CUSTOM_EXIT_ftn_t)CUST_init_module));
		fprintf( stdout, "\n libqtmc	registering USER_gs_shell_init_module completed!\n" );

		return ifail;
	}

#ifdef __cplusplus
}
#endif




/**
* @}
*/