
/*=================================================================================
* @file					epm_register_handler.h
* @brief				itk user exits function declation, to register custom handlers
* @date					2009/2/13
* @author				Ray Li
* @history
* ===================================================================================
* Date					Name				Description
* 13-Feb-2009			Ray				created
*===================================================================================*/


#ifndef EPM_REGISTER_HANDLER_CUSTOM
#define EPM_REGISTER_HANDLER_CUSTOM

#include <epm/epm.h>

#ifdef __cplusplus
extern "C" {
#endif

extern DLLAPI int CUST_init_module(int *, va_list);
extern DLLAPI int USERSERVICE_custom_register_methods();
	

#ifdef __cplusplus
}
#endif

#endif 


/**
* @}
*/